View Issue Details

IDProjectCategoryView StatusLast Update
0016477mantisbtsecuritypublic2017-01-24 10:55
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.2.15 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0016477: Redirect user to change password if logged in with default admin password
Description

At the moment a warning shows up on the login page, but MantisBT doesn't redirect the user to change password on login. Once user is logged in with default user / password, redirect to account update page, show a message to request change of password and make password fields required (similar to password reset behavior).

TagsNo tags attached.

Relationships

related to 0022240 closedatrol NOTICE: 'Undefined variable' with LDAP 

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master bfe1041a

2013-10-13 22:47:47

vboctor

Details Diff
Fixes 0016477: Redirect user to change password if logged in with default admin password.
mod - account_page.php Diff File
mod - account_update.php Diff File
mod - login.php Diff File

Issue History

Date Modified Username Field Change
2013-10-13 15:48 vboctor New Issue
2013-10-13 15:48 vboctor Status new => assigned
2013-10-13 15:48 vboctor Assigned To => vboctor
2013-10-13 22:56 vboctor Changeset attached => MantisBT master bfe1041a
2013-10-13 22:56 vboctor Status assigned => resolved
2013-10-13 22:56 vboctor Resolution open => fixed
2013-10-13 22:56 vboctor Fixed in Version => 1.3.0-beta.1
2013-10-18 17:19 atrol Product Version 1.2.16 => 1.2.15
2014-12-08 00:34 vboctor Status resolved => closed
2017-01-24 10:55 atrol Relationship added related to 0022240